Status: Closed Priority: Should have
Author: Jonny Category:
Created: 2011-12-22 Assigned To: Karsten Dambekalns
Updated: 2015-03-16 Due date:
Affected Flow version: FLOW3 1.0.2
Subject: Fatal error in Persistance Manager 
Description

My Model has an OneToOne relation to a party Person Model of the Party Package.

/**
* The Person of this profile
*
* @var \TYPO3\Party\Domain\Model\Person
* @ORM\OneToOne(cascade={"all"})
*/
protected $person;

On altering the electronicAddress by setting the approved to TRUE, the persistance manager throws a Fatal Error:

PHP Fatal error:  Call to a member function getClassName() on a non-object in [...]PersistenceManager_Original.php on line
106 
-> 
$validator = $this->validatorResolver->getBaseValidatorConjunction($classSchema->getClassName());

I fixed this quick and dirty by inserting this line :

if ($classSchema === NULL) return;        

before the getClassName on $classSchema.

btw: im working with version 1.0.2 (couldn't find it in the dropdown list)

History
#1 - 2012-01-03 10:58 - Karsten Dambekalns
- Affected Flow version changed from FLOW3 1.0.1 to FLOW3 1.0.2

#2 - 2012-03-07 22:05 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2012-05-16 16:59 - Karsten Dambekalns
- Target version set to 1.0.5

#4 - 2012-06-05 21:20 - Karsten Dambekalns
- Target version changed from 1.0.5 to 1.1 RC1

#5 - 2012-06-26 11:55 - Karsten Dambekalns
- Status changed from Accepted to Closed

I built some PoC code and all worked as expected using master and 1.1.0-dev. If this is still an issue for you, feel free to reopen and add some code
that shows the error. Thanks!

#6 - 2015-03-16 17:33 - Christian Müller
- Target version deleted (1.1 RC1)
